Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#533 closed enhancement (fixed)

Strings in subsets

Reported by: pcampalani Owned by: pcampalani
Priority: major Milestone: 9.0
Component: petascope Version: development
Keywords: timestamp subset Cc:
Complexity: Medium

Description

Subsets on temporal dimensions deserve a special treatment in order to let a user switch to ISO8601 notation.
Double-quotes for instance can be used to switch to ISO notation for temporal dimensions. Otherwise the default numeric coordinate is expected.

Change History (12)

comment:1 Changed 4 years ago by pcampalani

  • Resolution set to fixed
  • Status changed from new to closed

Patches applied for:

comment:2 Changed 4 years ago by dmisev

  • Resolution fixed deleted
  • Status changed from closed to reopened

WCS test 29-* fails for me. Something is being repeated in petascope for about 10 times until it gives up, and the output is empty. In particular this is the output I see repeated for several times:

 DEBUG [08:30:03] DimensionPointElement@162: [Transformed] requested subsettingCrs is 'http://kahlua.eecs.jacobs-university.de:8080/def/crs/OGC/0.1/Temporal?epoch="1950-01-01T00:00:00"&uom="d"', should match now native CRS is 'http://localhost:8080/def/crs-compound?1=http://kahlua.eecs.jacobs-university.de:8080/def/crs/OGC/0.1/Temporal?epoch="1950-01-01T00:00:00"&uom="d"&2=http://kahlua.eecs.jacobs-university.de:8080/def/crs/EPSG/0/4326'
 TRACE [08:30:03] Crs@124: CellDomain extremes values: LOW: 0, HIGH:5
 TRACE [08:30:03] Crs@129: Domain extremes coordinates: (0, 6)
 TRACE [08:30:03] Crs@130: Subset cooordinates: (1950-01-07T12:00, 1950-01-07T12:00)
 TRACE [08:30:03] Crs@135: Checking order, format and bounds of axis t ...
 TRACE [08:30:03] Crs@192: Converting axis t interval to pixel indices ...
 DEBUG [08:30:03] TimeUtil@171: dtHead#1.0: 1950-01-03 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#2.0: 1950-01-04 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#3.0: 1950-01-05 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#4.0: 1950-01-06 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#5.0: 1950-01-07 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#6.0: 1950-01-08 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#1.0: 1950-01-03 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#2.0: 1950-01-04 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#3.0: 1950-01-05 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#4.0: 1950-01-06 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#5.0: 1950-01-07 00:00:00.000000000
 DEBUG [08:30:03] TimeUtil@171: dtHead#6.0: 1950-01-08 00:00:00.000000000
 ERROR [08:30:03] DimensionPointElement@172: Error while transforming geo-coordinates to pixel coordinates. The metadata is probably not valid.
 ERROR [08:30:03] ScalarExpr@144: Invalid coverage Expression, next node: slice
 ERROR [08:30:03] TrimCoverageExpr@80: Expected coverage node, got slice
 ERROR [08:30:03] ScalarExpr@144: Invalid coverage Expression, next node: trim
 ERROR [08:30:03] PetascopeInterface@446: Error stack trace:
WcpsError: Error converting WCPS query to rasql query: Invalid coverage Expression, next node: trim - Unknown node for TrimCoverage expression: slice[Invalid coverage Expression, next node: slice - Translated pixel indixes of regular temporal axis (6.5:6.5) exceed the allowed values.]
	at petascope.PetascopeInterface.handleWcs2Request(PetascopeInterface.java:634)
	at petascope.PetascopeInterface.handleWcsRequest(PetascopeInterface.java:529)
	at petascope.PetascopeInterface.doGet(PetascopeInterface.java:303)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:621)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:722)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:304)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:240)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:203)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:164)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:108)
	at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:558)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:118)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:379)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:242)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:259)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:237)
	at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:281)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)

comment:3 Changed 4 years ago by pcampalani

Man, you asked me if n.29 oracle was meant to be an exception: it is indeed, but the test fails due to #529.

comment:4 Changed 4 years ago by dmisev

Ah I see, didn't realize that.

Who repeats the query for so many times, is it the systemtest or petascope?

comment:5 Changed 4 years ago by pcampalani

That dtHead stuff is just a debugging log in TimeUtil, is not a repetition (you see the days are changing).
This can be nasty when you increase seconds over intervals of years.. see #505.

comment:6 Changed 4 years ago by dmisev

If you do tail -f catalina.out while that test is run you'll notice the error and everything else is repeated for like 10 times, at least for me.

comment:7 Changed 4 years ago by pcampalani

  • Resolution set to wontfix
  • Status changed from reopened to closed

comment:8 Changed 4 years ago by pcampalani

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Sorry: too many tabs here.

comment:9 Changed 4 years ago by dmisev

Yeah I was wondering about that conclusion :)

comment:10 Changed 4 years ago by pcampalani

  • Resolution set to fixed
  • Status changed from reopened to closed

Closing this since strings in subsets are now working (see comment:1), enclosed in double quotes as by standard (see OGC 09-147r3, Sec. 6.4, NOTE.).

I'll open a new ticket to address the issue of verbose logging.

comment:11 Changed 4 years ago by dmisev

I think the issue of verbose logging does not exist, as it's possible to control it in $RMANHOME/etc/log4j.properties?

comment:12 Changed 4 years ago by pcampalani

Yes, but if the same procedure is repeated 10 times over a single request, there might be some performance issue there: I'll open a ticket with low priority so that I won't forget checking it.

Note: See TracTickets for help on using tickets.